Jala 1.3

## Class jala.DnsClient

    Object
       |
       +--jala.DnsClient

class jala.DnsClient

This is a wrapper around the Dns Client by wonderly.org providing methods for querying Dns servers. For more information about the Java DNS client visit https://javadns.dev.java.net/. Please mind that the nameserver specified must accept queries on port 53 TCP (the Java DNS client used doesn't support UDP nameserver queries), and that reverse lookups are not supported.
Defined in DnsClient.js

Nested Class Summary
`<static class>` | `jala.DnsClient.Record`

Field Summary
`String` | `nameServer` Contains the IP Adress/FQDN of the name server to query.
`<static> <final> Number` | `TYPE_A` The "A" record/query type.
`<static> <final> Number` | `TYPE_CNAME` The "CNAME" record/query type.
`<static> <final> Number` | `TYPE_MX` The "MX" record/query type.
`<static> <final> Number` | `TYPE_NS` The "NS" record/query type.
`<static> <final> Number` | `TYPE_PTR` The "PTR" record/query type.
`<static> <final> Number` | `TYPE_SOA` The "SOA" record/query type.
`<static> <final> Number` | `TYPE_TXT` The "TXT" record/query type.
`<static> <final> Number` | `TYPE_WKS` The "WKS" record/query type.

Constructor Summary
`jala.DnsClient (<String> nameServer)` Constructs a new DnsClient object.

Method Summary
`org.wonderly.net.dns.RR` | `query(<String> dName, <Number> queryType)` Queries the nameserver for a specific domain and the given type of record.
`org.wonderly.net.dns.RR` | `queryMailHost(<String> dName)` Convenience method to query for the MX-records of the domain passed as argument.

Field Detail

### nameServer

    String nameServer

Contains the IP Adress/FQDN of the name server to query.

### TYPE_A

    <static> <final> Number TYPE_A

The "A" record/query type.

### TYPE_CNAME

    <static> <final> Number TYPE_CNAME

The "CNAME" record/query type.

### TYPE_MX

    <static> <final> Number TYPE_MX

The "MX" record/query type.

### TYPE_NS

    <static> <final> Number TYPE_NS

The "NS" record/query type.

### TYPE_PTR

    <static> <final> Number TYPE_PTR

The "PTR" record/query type.

### TYPE_SOA

    <static> <final> Number TYPE_SOA

The "SOA" record/query type.

### TYPE_TXT

    <static> <final> Number TYPE_TXT

The "TXT" record/query type.

### TYPE_WKS

    <static> <final> Number TYPE_WKS

The "WKS" record/query type.

Constructor Detail

### jala.DnsClient

    jala.DnsClient(<String> nameServer)

Constructs a new DnsClient object.

Parameters:

`nameServer` - IP-Address or FQDN of nameserver to query

Method Detail

### query

    org.wonderly.net.dns.RR query(<String> dName, <Number> queryType)

Queries the nameserver for a specific domain and the given type of record.

Parameters:

`dName` - The domain name to query for

`queryType` - The type of records to retrieve

Returns:

The records retrieved from the nameserver

### queryMailHost

    org.wonderly.net.dns.RR queryMailHost(<String> dName)

Convenience method to query for the MX-records of the domain passed as argument.

Parameters:

`dName` - The domain name to query for

Returns:

The records retrieved from the nameserver

Jala 1.3

Documentation generated by JSDoc on Tue Jan 8 15:45:31 2008